Loading...
Searching...
No Matches
itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct Struct Reference

`#include <itkAdvancedImageMomentsCalculator.h>`

## Detailed Description

template<typename TImage>
struct itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct

Definition at line 284 of file itkAdvancedImageMomentsCalculator.h.

## Data Fields

VectorType | st_Cg
MatrixType | st_Cm
ScalarType | st_M0
VectorType | st_M1
MatrixType | st_M2
SizeValueType | st_NumberOfPixelsCounted

## Field Documentation

## st_Cg

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct::st_Cg

Definition at line 290 of file itkAdvancedImageMomentsCalculator.h.

## st_Cm

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct::st_Cm

Definition at line 291 of file itkAdvancedImageMomentsCalculator.h.

## st_M0

template<typename TImage>

ScalarType itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct::st_M0

Used for accumulating variables.

Definition at line 287 of file itkAdvancedImageMomentsCalculator.h.

## st_M1

template<typename TImage>

VectorType itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct::st_M1

Definition at line 288 of file itkAdvancedImageMomentsCalculator.h.

## st_M2

template<typename TImage>

MatrixType itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct::st_M2

Definition at line 289 of file itkAdvancedImageMomentsCalculator.h.

## st_NumberOfPixelsCounted

template<typename TImage>

SizeValueType itk::AdvancedImageMomentsCalculator< TImage >::ComputePerThreadStruct::st_NumberOfPixelsCounted

Definition at line 292 of file itkAdvancedImageMomentsCalculator.h.

Generated on 1768596610 for elastix by 1.15.0 |